# Uses of Interface
org.jmol.api.JmolInChI

Packages that use JmolInChI
Package
Description
org.jmol.awt
org.jmol.awtjs2d
org.jmol.inchi

## Uses of JmolInChI in org.jmol.awt

Methods in org.jmol.awt that return JmolInChI
Modifier and Type
Method
Description
`JmolInChI`
Platform.`getInChI()`

## Uses of JmolInChI in org.jmol.awtjs2d

Methods in org.jmol.awtjs2d that return JmolInChI
Modifier and Type
Method
Description
`JmolInChI`
Platform.`getInChI()`

## Uses of JmolInChI in org.jmol.inchi

Classes in org.jmol.inchi that implement JmolInChI
Modifier and Type
Class
Description
`class`
`InchiJmol`
`class`
`InChIJNA`
Interface with inchi.c via JNA (see JNA-InChI github project).
`class`
`InChIJS`
This class implements inchi-web.wasm from InChI-SwingJS, which is adapted from https://github.com/IUPAC-InChI/InChI-Web-Demo by Bob Hanson and Josh Charlton 2025.01.23-2025.01.24.